## org.hibernate.envers.event
Class EnversPreCollectionUpdateEventListenerImpl

    java.lang.Object
      org.hibernate.envers.event.BaseEnversEventListener
          org.hibernate.envers.event.BaseEnversCollectionEventListener
              org.hibernate.envers.event.EnversPreCollectionUpdateEventListenerImpl

All Implemented Interfaces:
  Serializable, EnversListener, PreCollectionUpdateEventListener

    public class EnversPreCollectionUpdateEventListenerImpl

extends BaseEnversCollectionEventListener
implements PreCollectionUpdateEventListener

See Also:
  Serialized Form

Constructor Summary
`protected` `EnversPreCollectionUpdateEventListenerImpl(AuditConfiguration enversConfiguration)`

Method Summary
`void` `onPreUpdateCollection(PreCollectionUpdateEvent event)`

Methods inherited from class org.hibernate.envers.event.BaseEnversCollectionEventListener
`getCollectionEntry, onCollectionAction`

Methods inherited from class org.hibernate.envers.event.BaseEnversEventListener
`generateBidirectionalCollectionChangeWorkUnits, getAuditConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnversPreCollectionUpdateEventListenerImpl

    protected EnversPreCollectionUpdateEventListenerImpl(AuditConfiguration enversConfiguration)

Method Detail

### onPreUpdateCollection

    public void onPreUpdateCollection(PreCollectionUpdateEvent event)

  Specified by:
    `onPreUpdateCollection` in interface `PreCollectionUpdateEventListener`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.